import { IsString } from 'class-validator';
import { NotFoundError } from 'routing-controllers';

/**
 * Error to throw when a runner group couldn't be found.
 * Implemented this ways to work with the json-schema conversion for openapi.
 */
export class RunnerGroupNotFoundError extends NotFoundError {
	@IsString()
	name = "RunnerGroupNotFoundError"

	@IsString()
	message = "RunnerGroup not found!"
}