import { IsString } from 'class-validator';
import { NotAcceptableError, NotFoundError } from 'routing-controllers';

/**
 * Error to throw when no groupname is set
 */
export class GroupNameNeededError extends NotFoundError {
	@IsString()
	name = "GroupNameNeededError"

	@IsString()
	message = "no groupname is set!"
}

/**
 * Error to throw when a usergroup couldn't be found.
 */
export class UserGroupNotFoundError extends NotFoundError {
	@IsString()
	name = "UserGroupNotFoundError"

	@IsString()
	message = "User Group not found!"
}

/**
 * Error to throw when two usergroups' ids don't match.
 * Usually occurs when a user tries to change a usergroups's id.
 */
export class UserGroupIdsNotMatchingError extends NotAcceptableError {
	@IsString()
	name = "UserGroupIdsNotMatchingError"

	@IsString()
	message = "The id's don't match!! \n If you wanted to change a usergroup's id: This isn't allowed"
}