import { Application } from "express";
import databaseLoader from "./database";
import expressLoader from "./express";
import openapiLoader from "./openapi";

/**
 * Index Loader that executes the other loaders in the right order.
 */
export default async (app: Application) => {
    await databaseLoader();
    await openapiLoader(app);
    await expressLoader(app);
    return app;
};
