import { IsInt, IsNotEmpty, IsPositive, IsString } from 'class-validator';
import { Track } from '../entities/Track';

export class CreateTrack {
    /**
     * The track's name.
     */
    @IsString()
    @IsNotEmpty()
    name: string;

    /**
     * The track's distance in meters (must be greater than 0).
     */
    @IsInt()
    @IsPositive()
    distance: number;

    /**
     * Converts a Track object based on this.
     */
    public toTrack(): Track {
        let newTrack: Track = new Track();

        newTrack.name = this.name;
        newTrack.distance = this.distance;

        return newTrack;
    }
}