import { IsBoolean } from "class-validator";
import { ChildEntity, Column } from "typeorm";
import { Participant } from "./Participant";

/**
 * Defines a donor.
*/
@ChildEntity()
export class Donor extends Participant {
  /**
   * Does this donor need a receipt?.
   * Default: false
   */
  @Column()
  @IsBoolean()
  receiptNeeded: boolean = false;
}