import { IsInt, IsString } from 'class-validator';

/**
 * Defines a auth object
*/
export class Auth {
  /**
  * access_token - JWT shortterm access token
  */
  @IsString()
  access_token: string;
  /**
  * refresh_token - longterm refresh token (used for requesting new access tokens)
  */
  @IsString()
  refresh_token: string;
  /**
  * access_token_expires_at - unix timestamp of access token expiry
  */
  @IsInt()
  access_token_expires_at: number;
  /**
  * refresh_token_expires_at - unix timestamp of access token expiry
  */
  @IsInt()
  refresh_token_expires_at: number;
}
