import axios from 'axios';
import { config } from '../config';
const base = "http://localhost:" + config.internal_port

describe('GET /api/openapi.json', () => {
	it('is http 200', async () => {
		const res = await axios.get(base + '/api/openapi.json');
		expect(res.status).toEqual(200);
	});
});
describe('GET /', () => {
	it('is http 404', async () => {
		const res = await axios.get(base + '/', { validateStatus: undefined });
		expect(res.status).toEqual(404);
	});
});
describe('GET /api/teams', () => {
	it('is http 200 && is json', async () => {
		const res = await axios.get(base + '/api/teams', { validateStatus: undefined });
		expect(res.status).toEqual(200);
		expect(res.headers['content-type']).toContain("application/json")
	});
});
