import axios from 'axios';
import { config } from '../../config';
const base = "http://localhost:" + config.internal_port

// ---------------
describe('adding + updating name', () => {
    let added_org_id
    let added_org
    it('creating a new org with just a name should return 200', async () => {
        const res1 = await axios.post(base + '/api/organisations', {
            "name": "test123"
        });
        added_org = res1.data
        added_org_id = added_org.id;
        expect(res1.status).toEqual(200);
        expect(res1.headers['content-type']).toContain("application/json")
    });
    it('update org', async () => {
        const res2 = await axios.put(base + '/api/organisations/' + added_org_id, {
            "id": added_org_id,
            "name": "testlelele",
            "contact": null,
            "address": null,
        });
        expect(res2.status).toEqual(200);
        expect(res2.headers['content-type']).toContain("application/json")
        let added_org2 = res2.data
        added_org_id = added_org2.id;
        delete added_org2.id
        expect(added_org2).toEqual({
            "name": "testlelele",
            "contact": null,
            "address": null,
            "teams": []
        })
    });
});
// ---------------
describe('adding + try updating id (should return 406)', () => {
    let added_org_id
    let added_org
    it('creating a new org with just a name should return 200', async () => {
        const res1 = await axios.post(base + '/api/organisations', {
            "name": "test123"
        });
        added_org = res1.data
        added_org_id = added_org.id;
        expect(res1.status).toEqual(200);
        expect(res1.headers['content-type']).toContain("application/json")
    });
    it('update org', async () => {
        const res2 = await axios.put(base + '/api/organisations/' + added_org_id, {
            "id": added_org_id + 1,
            "name": "testlelele",
            "contact": null,
            "address": null,
        }, { validateStatus: undefined });
        expect(res2.status).toEqual(406);
        expect(res2.headers['content-type']).toContain("application/json")
    });
});